Skip to main content

Block External Account

Suggest Edits


Overview

Block an external account that is in ACTIVE or INACTIVE status by providing an appropriate reason.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount/id/{externalAccountId}/block

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount/id/{externalAccountId}/block

Arguments

FieldMandatory?Description
reasonYesReason for blocking:
ACCOUNT_INERROR (ACTIVE & INACTIVE)
DEBIT_BLOCKED (ACTIVE only)
commentNoAdditional comments

Example Request (production) – block an external account

POST /banking/us2//v1/customer/id/4052981/externalAccount/id/2/block HTTP/1.1
Host: api.ahrvo.network
Authorization: Bearer {jwtToken}
x-api-key: {apiKey}
Content-Type: application/json
{
"reason": "ACCOUNT_INERROR",
"comment": "user comment goes here"
}

(For staging, replace api.ahrvo.network with gateway.ahrvo.network in the Host header and URL.)


Example Response

HTTP/1.1 204 No Content

Interactive API Documentation